spring:
  cloud:
    nacos:
      discovery:
        # 服务注册地址
        server-addr: @nacos.server@
        # 命名空间
        namespace: @nacos.namespace@
        # 共享配置
        group: sckw-ng-service-platform
      config:
        # 配置中心地址
        server-addr: @nacos.server@
        # 命名空间
        namespace: @nacos.namespace@
        # 共享配置
        group: sckw-ng-service-platform
        # 配置文件格式
        file-extension: yaml
        shared-configs:
          - data-id: sckw-common.yml
            group: sckw-ng-common
            refresh: true

        #可以读多个配置文件 需要在同一个命名空间下面可以是不同的组
        extension-configs:
          - dataId: sckw-common.yml
            group: sckw-ng-service-platform
            refresh: true
